--[[============================================================================
main.lua
============================================================================]]--

--------------------------------------------------------------------------------
-- Main functions
--------------------------------------------------------------------------------

local function set_start_and_play()
  local startpos = renoise.song().transport.playback_pos
  startpos.sequence = 1
  startpos.line = 1
  renoise.song().transport.playback_pos = startpos
  renoise.song().transport:start(renoise.Transport.PLAYMODE_CONTINUE_PATTERN)
end


--------------------------------------------------------------------------------
-- Menu entries
--------------------------------------------------------------------------------

renoise.tool():add_menu_entry {
  name = "Main Menu:Tools:Restart song from beginning...",
  invoke = set_start_and_play
}


--------------------------------------------------------------------------------
-- Key Binding
--------------------------------------------------------------------------------

renoise.tool():add_keybinding {
  name = "Global:Tools:Restart song from beginning...",
  invoke = set_start_and_play
}


--------------------------------------------------------------------------------
-- MIDI Mapping
--------------------------------------------------------------------------------

--[[
renoise.tool():add_midi_mapping {
  name = tool_id..":Show Dialog...",
  invoke = show_dialog
}
--]]
